import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { AppTokenTemplatePositionFetcher } from '../../../position/template/app-token.template.position-fetcher';
import { TraderJoeContractFactory } from '../contracts';
import { TraderJoeVeJoe } from '../contracts/ethers/TraderJoeVeJoe';
export declare class AvalancheTraderJoeVeJoeTokenFetcher extends AppTokenTemplatePositionFetcher<TraderJoeVeJoe> {
    protected readonly appToolkit: IAppToolkit;
    protected readonly contractFactory: TraderJoeContractFactory;
    groupLabel: string;
    isExcludedFromBalances: boolean;
    isExcludedFromExplore: boolean;
    isExcludedFromTvl: boolean;
    constructor(appToolkit: IAppToolkit, contractFactory: TraderJoeContractFactory);
    getContract(address: string): TraderJoeVeJoe;
    getAddresses(): Promise<string[]>;
    getUnderlyingTokenDefinitions(): Promise<never[]>;
    getPricePerShare(): Promise<number[]>;
    getPrice(): Promise<number>;
}
